Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77543 - Gnome terminal crash during resize
Summary: Gnome terminal crash during resize
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vte
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-08 20:16 UTC by Martin Garton
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-11-09 18:58:51 UTC


Attachments (Terms of Use)

Description Martin Garton 2002-11-08 20:16:32 UTC
Description of Problem:
gnome-terminal crashes during resize when certain applications are
running. Various different combinations will crash it. I have given the
example below that crashed it just now.


Version-Release number of selected component (if applicable):
Standard rh8 version.



Steps to reproduce the problem:
1. run gnome-terminal
2. in the new terminal, ssh to another machine (in this case also
running rh8.0)
3. run "less /usr/src/linux-2.4/Documentation/DMA-mapping.txt
4. click on the corner of the window to resize and move the mouse around
a lot.

Actual Results:
Terminal crashes.

Expected Results:
Window resizes.

How often does this happen?
about once a day for me, but only when running ssh, and only then for
various applications on the remote machine. (less and screen seem to be
worse than others)

Additional Information:

Debugging Information:

Backtrace was generated from '/usr/bin/gnome-terminal'

(no debugging symbols found)...[New Thread 8192 (LWP 19941)]
0x420ae169 in wait4 () from /lib/i686/libc.so.6
#0  0x420ae169 in wait4 () from /lib/i686/libc.so.6
#1  0x4212a2d0 in __DTOR_END__ () from /lib/i686/libc.so.6
#2  0x408f0c63 in waitpid () from /lib/i686/libpthread.so.0
#3  0x4023aff5 in libgnomeui_module_info_get () from
/usr/lib/libgnomeui-2.so.0
#4  0x408f247e in __pthread_sighandler () from
/lib/i686/libpthread.so.0
#5  <signal handler called>
#6  0x42028cc1 in kill () from /lib/i686/libc.so.6
#7  0x408ef07d in raise () from /lib/i686/libpthread.so.0
#8  0x4202a019 in abort () from /lib/i686/libc.so.6
#9  0x40942476 in g_logv () from /usr/lib/libglib-2.0.so.0
#10 0x409424b4 in g_log () from /usr/lib/libglib-2.0.so.0
#11 0x4003b5fe in vte_terminal_ensure_cursor () from
/usr/lib/libvte.so.2
#12 0x4003aa53 in vte_sequence_handler_ce () from /usr/lib/libvte.so.2
#13 0x4004078d in vte_terminal_handle_sequence () from
/usr/lib/libvte.so.2
#14 0x4004158e in vte_terminal_process_incoming () from
/usr/lib/libvte.so.2
#15 0x4093cc83 in g_idle_dispatch () from /usr/lib/libglib-2.0.so.0
#16 0x40939f65 in g_main_dispatch () from /usr/lib/libglib-2.0.so.0
#17 0x4093af98 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#18 0x4093b2ad in g_main_context_iterate () from
/usr/lib/libglib-2.0.so.0
#19 0x4093ba1f in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#20 0x4043d39f in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#21 0x08058256 in main ()
#22 0x420158d4 in __libc_start_main () from /lib/i686/libc.so.6

Thread 1 (Thread 8192 (LWP 19941)):
#0  0x420ae169 in wait4 () from /lib/i686/libc.so.6
No symbol table info available.
#1  0x4212a2d0 in __DTOR_END__ () from /lib/i686/libc.so.6
No symbol table info available.
#2  0x408f0c63 in waitpid () from /lib/i686/libpthread.so.0
No symbol table info available.
#3  0x4023aff5 in libgnomeui_module_info_get () from
/usr/lib/libgnomeui-2.so.0
No symbol table info available.
#4  0x408f247e in __pthread_sighandler () from
/lib/i686/libpthread.so.0
No symbol table info available.
#5  <signal handler called>
No symbol table info available.
#6  0x42028cc1 in kill () from /lib/i686/libc.so.6
No symbol table info available.
#7  0x408ef07d in raise () from /lib/i686/libpthread.so.0
No symbol table info available.
#8  0x4202a019 in abort () from /lib/i686/libc.so.6
No symbol table info available.
#9  0x40942476 in g_logv () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#10 0x409424b4 in g_log () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#11 0x4003b5fe in vte_terminal_ensure_cursor () from
/usr/lib/libvte.so.2
No symbol table info available.
#12 0x4003aa53 in vte_sequence_handler_ce () from /usr/lib/libvte.so.2
No symbol table info available.
#13 0x4004078d in vte_terminal_handle_sequence () from
/usr/lib/libvte.so.2
No symbol table info available.
#14 0x4004158e in vte_terminal_process_incoming () from
/usr/lib/libvte.so.2
No symbol table info available.
#15 0x4093cc83 in g_idle_dispatch () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#16 0x40939f65 in g_main_dispatch () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#17 0x4093af98 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#18 0x4093b2ad in g_main_context_iterate () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#19 0x4093ba1f in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#20 0x4043d39f in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#21 0x08058256 in main ()
No symbol table info available.
#22 0x420158d4 in __libc_start_main () from /lib/i686/libc.so.6
No symbol table info available.
#0  0x420ae169 in wait4 () from /lib/i686/libc.so.6

(END)

Comment 1 Ray Strode [halfline] 2004-11-09 18:58:51 UTC
Hi,
This was fixed 2 years ago.  Closing...


Note You need to log in before you can comment on or make changes to this bug.